package com.seeyon.apps.bip.constants;

public enum BipConstants {

    plugin("bip","插件ID"),
    bipUrl("http://10.1.90.21:9083", "BIP地址"),
    bipWageUrl("/servlet/ApproveTodo?usercode=${code}&salary=60656013p&v5ticket=", "BIP工资详情URL"),
    ssoUrl("http://10.1.90.21:9083", "BIP SSO地址"),
    //bipWaiwangUrl("http://bip.hbsxly.com", "BIP地址"),
    clientId("OA", "clientId"),
    client_security("30dcf9a3cfef4b98a157e926db6369f0", "client_security"),
    dsname("BIPKF", "dsname"),
    busicentercode("sxbip", "busicentercode");

    BipConstants(String defaultValue, String description) {
        this.defaultValue = defaultValue;
        this.description = description;
    }

    private String defaultValue;
    private String description;

    public String getDefaultValue() {
        return defaultValue;
    }

    public String getDescription() {
        return description;
    }

    public static String getPluginId() {
        return plugin.defaultValue;
    }

}
